package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.result.analyze.sopWarn.SopSupplierAvgView;
import com.qmth.sop.business.bean.result.analyze.sopWarn.SopSupplierAvgViewTimes;
import com.qmth.sop.business.bean.result.analyze.sopWarn.SopWarnOverview;
import com.qmth.sop.business.entity.TBService;
import com.qmth.sop.business.entity.TBSopInfo;
import com.qmth.sop.common.enums.SopAnalyseGroupEnum;
import com.qmth.sop.common.enums.SopAnalyseSortEnum;

import java.util.List;
import java.util.Map;

public interface SopAnalyseService extends IService<TBSopInfo> {
    List<TBService> list(Long startTime,Long endTime);

    @Deprecated
    List<Map<String, Object>> overview1(Long serviceId, SopAnalyseGroupEnum group);

    List<SopWarnOverview> overview(Long serviceId,SopAnalyseGroupEnum group);

    List<Map<String, Object>> processing(Long serviceId, SopAnalyseGroupEnum group, SopAnalyseSortEnum sort);

    @Deprecated
    Map<Object, List<Map<String, Object>>> trend1(Long serviceId);

    List<SopSupplierAvgViewTimes> trend(Long serviceId);

    List<Map<String, Object>> attendance(Long serviceId, SopAnalyseGroupEnum group);
}
